<template>
  <div>
    <div>
      <modal-update-self></modal-update-self>
    </div>
    <div
      id="dropdown-profile"
      class="ui item dropdown"
    >
      <div class="ui item horizontal list">
        <div class="item">
          <div class="content">
            {{ user.role | computedRole}} {{ user.pavillon ? 'pav. ' + user.pavillon.name : '' }}
            <div class="ui sub header">{{ user.firstname && user.lastname ? user.firstname + ' ' + user.lastname : user.username }}</div>
          </div>
        </div>

      </div>
      &nbsp;
      <img
        class="ui mini circular image"
        src="/static/img/logo.png"
      >
      <div
        class="menu transition"
      >
        <div
          class="item"
          @click="openModalUpdateSelf"
        >
          Modifier votre mot de passe
        </div>
        <div
          class="item"
          @click="logout"
        >
          Se déconnecter
        </div>
      </div>

    </div>
  </div>
</template>

<script>
import { mapGetters } from 'vuex'

import ModalUpdateSelf from '@/components/users/ModalUpdateSelf'

export default {
  name: 'NavbarProfile',
  data () {
    return {
    }
  },
  mounted () {
    // eslint-disable-next-line
    $('#dropdown-profile').dropdown()
  },
  methods: {
    openModalUpdateSelf () {
      // eslint-disable-next-line
      $('#modal-update-self')
        .modal('show')
    },
    logout () {
      this.$store.dispatch('AuthStore/logout')
        .then(() => {
          this.$router.push({ name: 'login' })
          this.$toastr.s('Au revoir')
        },
        (error) => {
          this.$toastr.e(error.data.message)
        })
    }
  },
  computed: {
    ...mapGetters({
      user: 'AuthStore/authUser'
    })
  },
  components: {
    ModalUpdateSelf
  }
}
</script>
